{{- if not .Values.existingSecret }}
apiVersion: v1
kind: Secret
metadata:
  name: {{ include "mailcatcher.fullname" . }}-basic-auth
  labels:
    {{- include "mailcatcher.labels" . | nindent 4 }}
type: Opaque
data:
  auth: {{ .Values.basicAuth.digest | quote }}
{{- end }}
